"""Global EDF hard and soft schedulability tests, and
G-EDF-specific overhead accounting.
"""

# hard real-time tests
import gfb
import bak
import bar
import bcl
import bcl_iterative as bcli
import rta
import ffdbf

import sim
import all

# soft real-time support
import soft

using_cpp = all.using_cpp
if all.using_cpp:
    is_schedulable = all.is_schedulable_cpp
    import cpptest as cpp
else:
    is_schedulable = all.is_schedulable_py

from all import TESTS

# overhead accounting
import inflate

# this is used all over the place
from inflate import account_for_scheduling_overheads
